import { TimeBase } from './TimeBase.entity';
import { Column } from 'typeorm';
import { AppsJson } from '../utility/apps-json-type';
import { MyCardUser } from '../utility/mycard-auth';

export class AppBase extends TimeBase {
  @Column('text', { nullable: true })
  appContent: string;

  get app(): AppsJson.App {
    return this.appContent ? JSON.parse(this.appContent) : null;
  }

  set app(a) {
    this.appContent = JSON.stringify(a);
  }
}
